#include <stdio.h>

void DisplayUsage(void)
{
 printf("
 BGmake Tool by Malcolm Smith
 For the FAT Engine SDK
 Converts a 96x96 4-level grayscale Image Studio file into
 the background format the FAT engine needs.

 Usage:
 BGmake [infile] [outfile]
 infile  =  Input BIN file
 outfile = Output BIN file
 ");
}

int main(int argc, char *argv[])
{
FILE *in, *out;
short in_array[96*6*2],out_array[96*6*2];
short *dest = out_array;
short a,b,c;
  if(argc!=3)
  {
  DisplayUsage();
  return 0;
  }
  in = fopen(argv[1],"rb");
  if(!in) {
  printf("\nCan't open input file.\n");
  DisplayUsage();return 0;}
  fread(&in_array,96*6*2,sizeof(short),in);
//Convert the data

   for (a=0;a<6;a++) {
  unsigned short* src = in_array+a;
        for (b=0;b<96;b++,dest++,src+=6) {
            *dest = *src;
            *(dest+576) = *(src+576);
        }
    }
//Resave the data
out=fopen(argv[2],"wb");
  if(!out) {
  printf("\nCan't open output file.\n");
  DisplayUsage();return 0;}
fwrite(&out_array,sizeof(short),96*6*2,out);
  return 0;
}
